## org.ggf.drmaa
Class ExitTimeoutException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.ggf.drmaa.DrmaaException
                  org.ggf.drmaa.ExitTimeoutException

All Implemented Interfaces:
  java.io.Serializable

public class ExitTimeoutException
extends DrmaaException

We have encountered a time-out condition for DRMAASession.synchronize() or DRMAASession.wait().

Since:
  0.4.2
Author:
  dan.templeton@sun.com
See Also:
  Serialized Form

Constructor Summary
`ExitTimeoutException()` Creates a new instance of `ExitTimeoutException` without detail message.
`ExitTimeoutException(java.lang.String msg)` Constructs an instance of `ExitTimeoutException` with the specified detail message.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ExitTimeoutException

    public ExitTimeoutException()

  Creates a new instance of `ExitTimeoutException` without detail message.

### ExitTimeoutException

    public ExitTimeoutException(java.lang.String msg)

  Constructs an instance of `ExitTimeoutException` with the specified detail message.

Parameters:
  `msg` - the detail message.